---
title: Document.selectedStyleSheetSet
slug: Web/API/Document/selectedStyleSheetSet
tags:
  - API
  - CSSOM
  - DOM
  - Property
  - Reference
  - Stylesheets
---
<div>{{APIRef("DOM")}}{{gecko_minversion_header("1.9")}}{{obsolete_header}}</div>

<p>The <strong><code>selectedStyleSheetSet</code></strong> property <span class="seosummary">indicates the name of the style sheet set that's currently in use.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>currentStyleSheetSet</var> = <var>document</var>.selectedStyleSheetSet;

<var>document</var>.selectedStyleSheet = <var>newStyleSheetSet</var>;
</pre>

<p>On return, <code>currentStyleSheetSet</code> indicates the name of the style sheet set currently in use. You can also set the current style sheet set using this property.</p>

<p>Setting the value of this property is equivalent to calling {{domxref("document.enableStyleSheetsForSet()")}} with the value of <code>currentStyleSheetSet</code>, then setting the value of <code>lastStyleSheetSet</code> to that value as well.</p>

<div class="note"><strong>Note:</strong> This attribute's value is live; directly changing the <code>disabled</code> attribute on style sheets will affect the value of this attribute.</div>

<h2 id="Example">Example</h2>

<pre class="brush: js">console.log('Current style sheet set: ' + document.selectedStyleSheetSet);

document.selectedStyleSheetSet = 'Some other style sheet';
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.selectedStyleSheetSet")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.lastStyleSheetSet")}}</li>
 <li>{{domxref("document.preferredStyleSheetSet")}}</li>
 <li>{{domxref("document.styleSheetSets")}}</li>
 <li>{{domxref("document.enableStyleSheetsForSet()")}}</li>
</ul>
